$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://github.com/RPCS3/rpcs3-binaries-win/releases/download/build-5ac6f090fc7e313f04725ca2ed85136fd3f9db5f/rpcs3-v0.0.12-10904-5ac6f090_win64.7z"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  url           = $url
  checksum      = 'ea65bcedb75775225e28f1b34bc3c93b19e491847bcdcec987255ecb3de498da'
  checksumType  = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
